---
type: api
title: Get a package signature verification key ID
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-fleet-epm-verification-key-id
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-fleet-epm-verification-key-id
products:
  - Kibana
---

# Get a package signature verification key ID

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/epm/verification_key_id`
- `GET` `/s/{space_id}/api/fleet/epm/verification_key_id`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get the GPG key ID used to verify the signatures of packages from the Elastic Package Registry.<br/><br/>[Required authorization] Route required privileges: integrations-read OR fleet-setup OR fleet-all.

## Responses

#### `200`

Successful response

`application/json`

- `id` (string) — nullable
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
GET /api/fleet/epm/verification_key_id
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/epm/verification_key_id"
```

## Response Examples

#### Get verification key id

The GPG key ID used to verify package signatures

```json
{
  "id": "D27D666CD88E42B4"
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

